Subject: Re: bug#76131: 30.0.93; vlf: advice for abort-if-file-too-large seems broken in Emacs 30

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Feb 2025 15:53:09 +0200

> Date: Sat, 8 Feb 2025 14:04:05 +0100
> Cc: [email-masked]
> From: fap <[email-masked]>
> 
> Okay, I think that one was my bad, as I was using the unmaintained melpa version. 
> But now I ran into another error in the same advice with the elpa version 1.7.2. 
> 
> This is the error I'm getting now: 
> 
> Debugger entered--Lisp error: (void-variable size) 
>   ad-Advice-abort-if-file-too-large(#f(compiled-function (size op-type filename &optional offer-raw) "If file SIZE

I get no error at all with the version 1.7.2 on ELPA.

So I suspect some problem with outdated files on your system.  Please
make sure you don't have old vlf files lying around, and that you only
use the *.el files from the latest version 1.7.2.